workerman能否支持libuv?

zhongbo
2416 3 1
3个回答

walkor

目前支持 event libevent libev swoole 扩展,不支持libuv扩展。有兴趣可以自己封装下。
需要实现接口 https://github.com/walkor/Workerman/blob/master/Events/EventInterface.php

  • 暂无评论
blogdaren

walkor大大已经merge进4.X版本了,release后就可以玩libuv了:
https://github.com/walkor/workerman/pull/755

有个注意点:
PHP官方PECL社区内自带的libuv扩展在某些PHP版本下可能会编译不通过,如果是这样,推荐使用amphp维护的扩展,基于官方扩展出自同一脉:
https://github.com/amphp/ext-uv/

  • nitron 2022-04-27

    可有libuv和event的测试对比数据?

  • 鲁达 2022-04-27

    呦西,给大佬点个赞

  • blogdaren 2022-04-27

    @nitron 压测对比数据这事儿还得靠大家了,我没有专业装备,谁有结果了分享下。

liziyu

神仙对话。

  • 暂无评论
年代过于久远,无法发表回答
🔝